I get "incompatible" warning with ProMods

Installation problems or game crashes? Post them here.
Forum rules
ALWAYS FOLLOW OUR SELF-HELP GUIDE FIRST.

If you report a game crash ALWAYS post your game.log.txt in between CODE tags, or if it too large post it on pastebin.com and share the link.
Post Reply
keem85
Posts: 24
Joined: 25 Feb 2014 14:08
Donation rank:

22 Jul 2019 21:20

I have the newest ETS2 1.35 and the newest ProMods 241, but I cannot add the mods, it says it's incompatible?

User avatar
CptCaribbean
Posts: 2366
Joined: 24 Jul 2016 16:32
Location: Sant Andreu, Barcelona
Contact:

22 Jul 2019 21:25

What does the info button from your mod manager say?
Junior Beta-Tester since 2.26

Senior Beta-Tester since 2.30

Translator of Spanish, Catalan, Euskera and Galician.

keem85
Posts: 24
Joined: 25 Feb 2014 14:08
Donation rank:

22 Jul 2019 21:32

It says that I have new mods available. (The new ProMods which I downloaded)

Added in 52 seconds:
Ahh! No it says dlc balt is missing! But that DLC is not out yet.....

Added in 2 minutes 1 second:
EDIT: Nevermind! It says "Will be available in 2019, add to wishlist" when going from the "Show DLC" button on Steam.. (That's why I thought it was not released yet). But when I SEARCHED for baltic on Steam, it was "purchasable".. It was a Steam bug that got me thinking it was not released yet. Sorry!!!!

User avatar
CptCaribbean
Posts: 2366
Joined: 24 Jul 2016 16:32
Location: Sant Andreu, Barcelona
Contact:

22 Jul 2019 21:36

No problem! BtBS DLC got purchasable in December 2018, the one that isn't available yet is Road to the Black Sea DLC. If you don't own BtBS DLC yet, you can always play ProMods in 2.33 -> https://www.promods.net/compat.php
Junior Beta-Tester since 2.26

Senior Beta-Tester since 2.30

Translator of Spanish, Catalan, Euskera and Galician.

keem85
Posts: 24
Joined: 25 Feb 2014 14:08
Donation rank:

22 Jul 2019 21:41

Thanks for asking the right questions. Fixed it :) I get some crashing, but I bet thats mod order. I'll investigate.

User avatar
CptCaribbean
Posts: 2366
Joined: 24 Jul 2016 16:32
Location: Sant Andreu, Barcelona
Contact:

22 Jul 2019 21:43

If it crashes you should post your game.log in pastebin.com and share the link here.
Junior Beta-Tester since 2.26

Senior Beta-Tester since 2.30

Translator of Spanish, Catalan, Euskera and Galician.

chris1xyz
Posts: 3
Joined: 29 Nov 2016 21:10

26 Jul 2019 15:33

Same problem here, and just to clarify: I have to buy the "Beyond the Baltic Sea"-DLC in order go get ProMods working?

User avatar
Trucker2223
Moderator
Posts: 5004
Joined: 16 Apr 2017 13:17
Donation rank:

26 Jul 2019 15:43

yes you need it
No. 4 forum spammer

No Support via PM!!

ProMods Senior Beta Tester since 2.30
ProMods Moderator since 1. January 2019



Post Reply
  • Information
  • Who is online

    Users browsing this forum: No registered users and 2 guests